import request from "~/api/request"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    visible: false,
    radio1: true,
    detail: {},
    followUpList: [],
    followUpDetail: {},
    imageVisible: false,
    imageList: [],
    imageIndex: 1,
  },
  openSelect(){
    this.setData({
      visible: true
    })
  },
  close(){
    this.setData({
      visible: false
    })
  },
  confirm(){
    this.setData({
      visible: false
    })
  },

  async getlist(){
    const res = await request('doctor/patient/questionnaires/1')
    this.setData({
      followUpList: res.list
    })
    if(res.list.length > 0){
      this.setData({
        followUpDetail: res.list[0]
      })
      this.getDetail(res.list[0].id)
      
    }
  },
  async getDetail(id){
    const res = await request('doctor/patient/questionnaire_info', 'post', {patient_id: 1, questionnaire_id: id})
    this.setData({
      detail: res
    })
  },

  handleClick(e){
    const id = e.currentTarget.dataset.id
    this.setData({
      followUpDetail: this.data.followUpList.find(item => item.id === id)
    })
    this.getDetail(id)
  },
  handleImagePreview(e){
    const { mode } = e.currentTarget.dataset;
    this.setData({
      imageList: this.data.detail[mode].split(',').filter(el => el !== ''),
      imageVisible: true
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getlist();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})